; $Id: launchfansbrowser.pro,v 1.3 2005/02/01 20:06:30 azuah Exp $
;###############################################################################
;
; NAME:
;   launchfansbrowser
;
; PURPOSE:
;   Dave launcher for FANS_BROWSER
;
; CATEGORY:
;   FANS Data Reduction
;
; AUTHOR:
;   Richard Tumanjong Azuah
;   NIST Center for Neutron Research
;   100 Bureau Drive, Gaithersburg, MD 20899
;   United States
;   azuah@nist.gov; (301) 9755604
;   June, 2002
;
; LICENSE:
;  The software in this file is written by an employee of 
;  National Institute of Standards and Technology 
;  as part of the DAVE software project.
;
;  The DAVE software package is not subject to copyright protection
;  and is in the public domain. It should be considered as an
;  experimental neutron scattering data reduction, visualization, and
;  analysis system. As such, the authors assume no responsibility
;  whatsoever for its use, and make no guarantees, expressed or
;  implied, about its quality, reliability, or any other
;  characteristic. The use of certain trade names or commercial
;  products does not imply any endorsement of a particular product,
;  nor does it imply that the named product is necessarily the best
;  product for the stated purpose. We would appreciate acknowledgment
;  if the DAVE software is used of if the code in this file is
;  included in another product.
;
;###############################################################################
pro launchfansbrowser, event
widget_control,event.top,get_uvalue = pState
thisEvent = tag_names(event,/structure_name)
case thisEvent of
'WIDGET_TREE_SEL':$
  begin
      daveDeSensitizeButtons,event
;      inPtr = ptr_new(*pState)
      fans_browser,notifyIds=[event.id,event.top],group_leader = event.top
  end
'WIDGET_BUTTON':$
  begin
      daveDeSensitizeButtons,event
;      inPtr = ptr_new(*pState)
      fans_browser,notifyIds=[event.id,event.top],group_leader = event.top
  end

'FANSBROWSEREVENT': $
  begin
 ; *pState = *event.inPtr
 ; ptr_free,event.inPtr
  daveSensitizeButtons,event
  end
else:
endcase
return
end
